View Issue Details

IDProjectCategoryView StatusLast Update
0002334NoesisGUIUnity3Dpublic2023-02-28 12:31
ReporterOxlamon Assigned Tosfernandez  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1.4 
Target Version3.2.0Fixed in Version3.2.0 
Summary0002334: Bug in inventory system
Description1. Noesis GUI 3.1.4 installed.
2. Fresh github tutorials downloaded.
3. Two exceptions while run inventory sample.

[code]
[NOESIS/E] Binding failed: Path=IsDragOver, Source=InventoryViewModel(''), Target=Inventory.DropItemBehavior(''), TargetProperty=Inventory.DropItemBehavior.IsDragOver
UnityEngine.Debug:LogError (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at D:/Downloads/NoesisGUI-Unity-3.1.4-Indie/Runtime/NoesisUnity.cs:357)
Noesis.FrameworkElement:set_DataContext (object) (at D:/Downloads/NoesisGUI-Unity-3.1.4-Indie/Runtime/API/Proxies/FrameworkElement.cs:534)
InventoryViewModel:Start () (at Assets/NoesisGUI/Samples/Inventory/InventoryViewModel.cs:312)

[NOESIS/E] Binding failed: Path=MoveFocus, Source=InventoryViewModel(''), Target=NoesisApp.PropertyChangedTrigger(''), TargetProperty=NoesisApp.PropertyChangedTrigger.Binding
UnityEngine.Debug:LogError (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at D:/Downloads/NoesisGUI-Unity-3.1.4-Indie/Runtime/NoesisUnity.cs:357)
Noesis.FrameworkElement:set_DataContext (object) (at D:/Downloads/NoesisGUI-Unity-3.1.4-Indie/Runtime/API/Proxies/FrameworkElement.cs:534)
InventoryViewModel:Start () (at Assets/NoesisGUI/Samples/Inventory/InventoryViewModel.cs:312)
[/code]

Minimum xaml example:
[code]<UserControl x:Class="Inventory.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:local="clr-namespace:Inventory"
        xmlns:noesis="clr-namespace:NoesisGUIExtensions;assembly=Noesis.GUI.Extensions"
        x:Name="Root">

    <UserControl.Resources>
    <Style x:Key="Style.EquipSlot" TargetType="{x:Type ContentControl}">
        <Setter Property="noesis:StyleInteraction.Behaviors">
            <Setter.Value>
                <noesis:StyleBehaviorCollection>
                    <local:DropItemBehavior
                        IsDragOver="{Binding IsDragOver, Mode=OneWayToSource}"
                        DropCommand="{Binding DataContext.DropItem, ElementName=Root}"/>
                </noesis:StyleBehaviorCollection>
            </Setter.Value>
        </Setter>
    </Style>
    </UserControl.Resources>
</UserControl>
[/code]

give error:
[code]
[NOESIS/E] Binding failed: Path=IsDragOver, Source=InventoryViewModel(''), Target=Inventory.DropItemBehavior(''), TargetProperty=Inventory.DropItemBehavior.IsDragOver
UnityEngine.Debug:LogError (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at D:/Downloads/NoesisGUI-Unity-3.1.4-Indie/Runtime/NoesisUnity.cs:357)
Noesis.FrameworkElement:set_DataContext (object) (at D:/Downloads/NoesisGUI-Unity-3.1.4-Indie/Runtime/API/Proxies/FrameworkElement.cs:534)
InventoryViewModel:Start () (at Assets/NoesisGUI/Samples/Inventory/InventoryViewModel.cs:312)
[/code]
Steps To ReproduceMinimum xaml example (for inventory project):
[code]<UserControl x:Class="Inventory.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:local="clr-namespace:Inventory"
        xmlns:noesis="clr-namespace:NoesisGUIExtensions;assembly=Noesis.GUI.Extensions"
        x:Name="Root">

    <UserControl.Resources>
    <Style x:Key="Style.EquipSlot" TargetType="{x:Type ContentControl}">
        <Setter Property="noesis:StyleInteraction.Behaviors">
            <Setter.Value>
                <noesis:StyleBehaviorCollection>
                    <local:DropItemBehavior
                        IsDragOver="{Binding IsDragOver, Mode=OneWayToSource}"
                        DropCommand="{Binding DataContext.DropItem, ElementName=Root}"/>
                </noesis:StyleBehaviorCollection>
            </Setter.Value>
        </Setter>
    </Style>
    </UserControl.Resources>
</UserControl>
[/code]

give error:
[code]
[NOESIS/E] Binding failed: Path=IsDragOver, Source=InventoryViewModel(''), Target=Inventory.DropItemBehavior(''), TargetProperty=Inventory.DropItemBehavior.IsDragOver
UnityEngine.Debug:LogError (object,UnityEngine.Object)
NoesisUnity:UnityLog (int,string) (at D:/Downloads/NoesisGUI-Unity-3.1.4-Indie/Runtime/NoesisUnity.cs:357)
Noesis.FrameworkElement:set_DataContext (object) (at D:/Downloads/NoesisGUI-Unity-3.1.4-Indie/Runtime/API/Proxies/FrameworkElement.cs:534)
InventoryViewModel:Start () (at Assets/NoesisGUI/Samples/Inventory/InventoryViewModel.cs:312)
[/code]
TagsNo tags attached.
PlatformWindows

Activities

sfernandez

sfernandez

2023-02-13 12:05

manager   ~0008275

Those are binding error logs (there is a bug related to those errors we have to fix), but they shouldn't affect the execution of the sample.
Is there anything else in the sample that is not working for you?
sfernandez

sfernandez

2023-02-13 12:07

manager   ~0008276

Hi @miZyind, you also mentioned having trouble with this sample, anything else apart from the binding error logs?
miZyind

miZyind

2023-02-14 05:32

reporter   ~0008278

Hello @sfernandez, I used to get the runtime error on v3.1.6.
When running the sample, only the background image appears on the screen without interactive objects.
However, I didn't record the error in detail at that time.
After I downloaded the latest v3.1.7, the sample worked properly with only the ignorable binding error left.
In short, this sample is working fine for me now, thanks for your help!

Issue History

Date Modified Username Field Change
2022-04-14 20:35 Oxlamon New Issue
2022-04-15 16:23 jsantos Assigned To => sfernandez
2022-04-15 16:23 jsantos Status new => assigned
2022-04-15 16:23 jsantos Target Version => 3.1.5
2022-06-24 17:21 sfernandez Target Version 3.1.5 => 3.1.6
2022-11-07 17:14 sfernandez Target Version 3.1.6 => 3.1.7
2023-02-13 12:05 sfernandez Status assigned => feedback
2023-02-13 12:05 sfernandez Note Added: 0008275
2023-02-13 12:05 sfernandez Target Version 3.1.7 => 3.1.8
2023-02-13 12:07 sfernandez Note Added: 0008276
2023-02-14 05:32 miZyind Note Added: 0008278
2023-02-28 12:31 sfernandez Status feedback => resolved
2023-02-28 12:31 sfernandez Resolution open => fixed
2023-02-28 12:31 sfernandez Fixed in Version => 3.2.0
2023-02-28 12:31 sfernandez Target Version 3.1.8 => 3.2.0